Breadcrumbs

Metavault API - Get mapping

GetMapping - GET

Path

/api/projects/{projectId}/mappings/{hubs,links,satellites,referenceTables}/{mappingIdId}

Http Method

GET

Overview

Required permissions

  • Read access to the Source module. source read

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "hub": {
      "name": "Employee",
      "id": "f81e889e-4d64-405f-bf3c-9ac317fb046c",
      "entityType": "Hub",
      "deployedInProduction": false,
      "tableName": "dv.h_Employee",
      "businessKey": {
        "length": 255,
        "name": "bk",
        "type": "String"
      },
      "ignoreBusinessKeyCase": true
    }
  },
  "id": "4aa8697ed8564bcda965db64c3e19266",
  "name": "A",
  "hubId": "f81e889e-4d64-405f-bf3c-9ac317fb046c",
  "parentName": "Employee",
  "isFullLoad": true,
  "expectNullBusinessKey": false,
  "mappingType": "Hub",
  "dataPackageTableId": "b27526087e1241bc9b654dee38bdfaf0",
  "businessKeyMapping": {
    "businessKeyId": "d8b031a6-6324-4c73-9624-ed929dd170d0",
    "columnId": "5ae62e588c954c1089fe54ce7e4f7b26"
  },
  "sourceSystemName": "Alpha 1",
  "dataPackageName": "ALpHa DP1",
  "dataPackageTableName": "ss1_dp1_employee"
}